/*
 * * writer.c * modified to use data in network byte order
 */
#include <stdio.h>
#include <sys/types.h>
#include <netinet/in.h>
main()
{
	long            i;
	u_long          netlong;
	for (i = 0; i < 8; i++) {
		netlong = htonl(i);
			if (fwrite((char *) &netlong, sizeof(netlong), 1, stdout != 1) {
			fprintf(stderr, "failed!\n");
			exit(1);
			}
	}
	exit(0);
}
